SolrClient::__construct
SolrClient::deleteByIds
SolrClient
PHP Manual

# SolrClient::deleteById

Delete by Id

### Description

public SolrUpdateResponse SolrClient::deleteById ( string `$id` )

Deletes the document with the specified ID. Where ID is the value of the uniqueKey field declared in the schema

### Parameters

`id`

  The value of the uniqueKey field declared in the schema

### Return Values

Returns a SolrUpdateResponse on success and throws a SolrClientException on failure.

### See Also

- SolrClient::deleteByIds
- SolrClient::deleteByQuery
- SolrClient::deleteByQueries